<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">    
    <h:head>
        <title>Tráfico Libre</title>
        <link rel="stylesheet" type="text/css" href="../../carpetagacss/estilos.css"></link>
        <link rel="icon" href="../../imagenes/logo.ico"></link>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>

        <header>
            <ui:include src="../menu/CabeceraMenu.xhtml" />
        </header>

        <center>
            <table>
                <tr>
                    <td colspan="4">
                        <div class="advertencia">
                            <h:form id="direccionForm">
                                <p:growl id="messages" showDetail="true" />
                                <p:panelGrid id="panelEmpresa" columns="4">
                                    <f:facet name="header">BUSCAR EMPRESA</f:facet>
                                    <h:outputText value="NIT EMPRESA" style="width: 150px"/>
                                    <p:inputText value="#{direccionesBean.nroDocumentoCliente}" style="width: 150px"/>
                                    <h:outputText value="NOMBRE EMPRESA" style="width: 150px"/>
                                    <h:outputText value="#{direccionesBean.clienteConsultado.nombrecliente}" 
                                                  style="width: 150px"/>

                                    <p:commandButton id="botonBuscar" value="Buscar" class="botonbuscador" 
                                        action="#{direccionesBean.consultarCliente()}" 
                                        update="direccionForm, direccionForm:panelEmpresa, tablaDirecciones"/>
                                    <p:commandButton id="botonRegistrar" 
                                        disabled="#{direccionesBean.clienteConsultado == null}"
                                        oncomplete="PF('registroDireccionDialog').show()"
                                        value="Registrar Dirección" class="botonbuscador" 
                                        title="Registrar Dirección" update="messages"/>
                                </p:panelGrid>
                                <br></br>
                                <p:scrollPanel style="width:600px;height:200px">
                                    <p:dataTable id="tablaDirecciones" var="direcciones" 
                                                 value="#{direccionesBean.listadoDirecciones}"
                                                 emptyMessage="Sin Registros">
                                        <p:column headerText="Dirección">
                                            <h:outputText value="#{direcciones.direccion}"/>
                                        </p:column>     
                                        <p:column headerText="Tipo Dirección">
                                            <h:outputText value="#{direcciones.tipodireccion}"/>
                                        </p:column>    
                                    </p:dataTable>
                                </p:scrollPanel>
                            </h:form>
                        </div>
                    </td>
                </tr>
            </table>
        </center>           
        <footer>
            <a target="_blank" href="http://www.facebook.com"><img src="../../imagenes/Facebook.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.instagram.com"><img src="../../imagenes/Instagram.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.twitter.com"><img src="../../imagenes/Twitter.png" class="redsocial"></img></a>
            | Copyright 2014-2019 Tráfico Libre - <a href="#" class="privacidad">Privacidad-condiciones</a>
        </footer> 
        <ui:include src="./modales/registrarDireccionModal.xhtml"/>
    </h:body>
</html>

